Monday, July 16, 2018 | The online resource for training fire investigators

Support

Please do not call the IAAI office. It is in your best interest to fill out a support ticket. We need the tickets for diagnostics, follow up and tracking to make sure users are properly supported.

We try to get back to any tickets within 48 hours.

Thanks,
The team at CFITrainer.Net®

Requirements

The training modules available on CFITrainer.Net® have the following minimum requirements:
Microsoft Internet Explorer 9.0 or later, Firefox 30 or later, Chrome 28 or later, or Safari 7 or later (Failed)
Adobe Flash Player 9.0 or later
Adobe Acrobat Reader 6.0 or later
Screen Resolution of 1024 x 768 or greater
Does your training area or facility have an internet connection?

Poll
Does your training area or facility have an internet connection?